"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFakeTimers = void 0;
const queueMacroTask = setImmediate;
async function useFakeTimers(createPromise, expectedTimeout) {
    jest.useFakeTimers();
    try {
        const promise = createPromise();
        let pending = true;
        promise.then(() => (pending = false), () => (pending = false));
        await new Promise(queueMacroTask);
        let actualTimeout = 0;
        while (pending) {
            jest.advanceTimersByTime(1);
            actualTimeout += 1;
            await new Promise(queueMacroTask);
        }
        if (typeof expectedTimeout === 'number') {
            expect(actualTimeout).toBe(expectedTimeout);
        }
        return promise;
    }
    finally {
        jest.useRealTimers();
    }
}
exports.useFakeTimers = useFakeTimers;
//# sourceMappingURL=use-fake-timers.js.map