"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defineAsyncSsrManager = void 0;
const async_ssr_manager_1 = require("./internal/async-ssr-manager");
const async_ssr_manager_context_1 = require("./internal/async-ssr-manager-context");
/**
 * @see [[AsyncSsrManagerV1]] for further information.
 */
function defineAsyncSsrManager(options = {}) {
    return {
        id: 's2:async-ssr-manager',
        optionalDependencies: {
            featureServices: {
                's2:logger': '^1.0.0',
            },
        },
        create: (env) => {
            const context = (0, async_ssr_manager_context_1.createAsyncSsrManagerContext)(env.featureServices);
            const asyncSsrManager = new async_ssr_manager_1.AsyncSsrManager(context, options.timeout);
            return {
                '1.0.0': () => ({ featureService: asyncSsrManager }),
            };
        },
    };
}
exports.defineAsyncSsrManager = defineAsyncSsrManager;
//# sourceMappingURL=index.js.map