import { AsyncSsrManager } from './internal/async-ssr-manager';
import { createAsyncSsrManagerContext } from './internal/async-ssr-manager-context';
/**
 * @see [[AsyncSsrManagerV1]] for further information.
 */
export function defineAsyncSsrManager(options = {}) {
    return {
        id: 's2:async-ssr-manager',
        optionalDependencies: {
            featureServices: {
                's2:logger': '^1.0.0',
            },
        },
        create: (env) => {
            const context = createAsyncSsrManagerContext(env.featureServices);
            const asyncSsrManager = new AsyncSsrManager(context, options.timeout);
            return {
                '1.0.0': () => ({ featureService: asyncSsrManager }),
            };
        },
    };
}
//# sourceMappingURL=index.js.map